<?php
// veritabanı bağlantısı için gerekli parametreler,

if ($_SERVER['REQUEST_METHOD'] == 'POST' && !empty($_FILES)) {
    foreach ($_FILES as $file) {
        if ($file['error'] == UPLOAD_ERR_OK) {
            $fileName = $file['name'];
            $fileTmpPath = $file['tmp_name'];
            $fileExtension = strtolower(pathinfo($fileName, PATHINFO_EXTENSION));
            $allowedExtensions = ['jpg', 'jpeg', 'png', 'gif', 'svg', 'mp4', 'pdf', 'mov'];
            if (in_array($fileExtension, $allowedExtensions)) {
                if (getimagesize($fileTmpPath) === false) {
                    exit;
                }
            } else {
                exit;
            }
        }
    }
}

$site = 'https://www.prommash-test.com/';
//upload dosya yolu
$targetFolder = '/madmin/lib/images/urunler/';
$host = "localhost";
$vt_adi = "prommashtest_prommashtest";

$kullanici_adi = "prommashtest_prommashtest";
$sifre = "prommashtest2023@";
try {
 $db = new PDO("mysql:host={$host};dbname={$vt_adi}", $kullanici_adi, $sifre,
array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
}
// hatayı göster
catch(PDOException $exception){
 echo "Bağlantı hatası: " . $exception->getMessage();
}
error_reporting(0);
?>